Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 594627 - Malformed font leads to crash in Apple's ATSUI [@OTL::GCommon::FilterFeatures]
: Malformed font leads to crash in Apple's ATSUI [@OTL::GCommon::FilterFeatures]
: verified1.9.2
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 1.9.2 Branch
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
: Milan Sreckovic [:milan] (PTO through Oct 23)
Depends on: CVE-2010-3768
Blocks: fuzzing-fonts
  Show dependency treegraph
Reported: 2010-09-08 17:45 PDT by Christoph Diehl [:posidron]
Modified: 2012-05-01 06:50 PDT (History)
5 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

testcase (98.78 KB, application/zip)
2010-09-08 17:45 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (41.01 KB, text/plain)
2010-09-08 17:46 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-09-08 17:45:51 PDT
Created attachment 473318 [details]

Number of replaced values: 4
Offset:  35791/0x008bcf	Value: ['50', 'ab']
Offset:  42173/0x00a4bd	Value: ['dd', '7d']
Offset: 109268/0x01aad4	Value: ['a0', '3f', 'c0']
Offset: 134707/0x020e33	Value: ['38', '44', '19']

Execute the provided html file.
Comment 1 Christoph Diehl [:posidron] 2010-09-08 17:46:26 PDT
Created attachment 473319 [details]
Comment 2 Jonathan Kew (:jfkthame) 2010-09-29 05:28:36 PDT
This will be fixed by the OTS sanitizer (bug 527276).
Comment 3 Jonathan Kew (:jfkthame) 2010-11-05 09:55:38 PDT
Fixed by the sanitizer dropping the bad table from the font, which is loaded and used safely.
Comment 4 Al Billings [:abillings] 2010-11-18 15:37:42 PST
Verified fixed in with Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6;
en-US; rv: Gecko/20101118 Namoroka/3.6.13pre using testcase. Test
no longer crashes as it does in

Note You need to log in before you can comment on or make changes to this bug.